function Reliability = DisRobustness(expert, num, frame, weight, p)
  % Calculate robustness score
   period = p.period;
   for i = 1 : 7 
      Overlap = calcRectInt( expert(num).rect_position(frame-period+1:frame,:) , expert(i).rect_position(frame-period+1:frame,:) );
      OverlapScore(:,i) = exp(-(1-Overlap).^2/1);    %%%%%%%%%%%%%%
   end
      
   TimeOP = sum( OverlapScore, 2)./7;     % length(TimeOP) == period
   AveOP = sum( OverlapScore, 1)./period;
   AveScore = sum(TimeOP.*weight');
   
   VarScore = sqrt( sum((OverlapScore-repmat(AveOP,period,1) ).^2, 2)/7 );
   VarScore = sum(VarScore.*weight');
   
   Smooth = sum(expert(num).smoothScore(frame-period+1:frame).*weight);
   
   Reliability = p.weight*(AveScore/(VarScore+0.05)) + (1 - p.weight)*Smooth;   %%%%%%% 0.4   0.6

end

